Proxmox VE40 incompatible with HP Proliant Servers...

spirit

Famous Member
Apr 2, 2010
5,325
522
133
www.odiso.com
yes, I installed Linux version 8.2 and all goes well, but when I installed Linux-image-amd64 from debian backport all is wrong, exactly debian packages linux-image-amd64 version 4.2+68~bpo8+2, the problem as like as Proxmox 4.0 or 4.1

ok, so it's seem a kernel bug.
can you try old proxmox 3.19 and 4.1 kernel ?

http://download.proxmox.com/debian/...a1/pve-kernel-3.19.8-1-pve_3.19.8-3_amd64.deb
http://download.proxmox.com/debian/...eta1/pve-kernel-4.1.3-1-pve_4.1.3-7_amd64.deb

it could help to see when this bug appear.
 

amelchor

New Member
Jan 9, 2016
3
1
3
36
Same history here, Trying to install Proxmox 4.1 on HP DL 385 G8- HP Smart Array P420i v 6.0 and got the RAID problem, no problem with Proxmox 3.4.

i guess its the new version an HP hardware, I installed Proxmox 4.1 on 03 old servers IBM x3200 M3 with Raid 1 and it work like a charm.
 

spirit

Famous Member
Apr 2, 2010
5,325
522
133
www.odiso.com
Same history here, Trying to install Proxmox 4.1 on HP DL 385 G8- HP Smart Array P420i v 6.0 and got the RAID problem, no problem with Proxmox 3.4.

can you try to install debian jessie, and test pve-kernel 4.1 and ubuntu kernel 4.4 from my previous post ?
I seem to be a regression in hp drivers, but I would like to known if it's fixed or not in last kernel.
 

amelchor

New Member
Jan 9, 2016
3
1
3
36
can you try to install debian jessie, and test pve-kernel 4.1 and ubuntu kernel 4.4 from my previous post ?
I seem to be a regression in hp drivers, but I would like to known if it's fixed or not in last kernel.
Sorry but i can´t , our server HP DL 385-G8 its on production with Proxmox 3.4.
 
  • Like
Reactions: fireon

Roko26

Member
Dec 29, 2015
5
0
21
57
I am very sad and I am very sorry because I have report you that does not work on debian and ubuntu kernel jessie 4.4.0-040400rc8. the problem is the same.

Means that Proxmox 4.2 will also be incompatible with HP Proliant Servers 385 G8 and other series ?

There is another alternative for installing proxmox on Proliant-385 servers G8 series 385 series ?.

please I need help with this, thank you.

I do not want to reinstall Vmware again
 

spirit

Famous Member
Apr 2, 2010
5,325
522
133
www.odiso.com
I am very sad and I am very sorry because I have report you that does not work on debian and ubuntu kernel jessie 4.4.0-040400rc8. the problem is the same.

Means that Proxmox 4.2 will also be incompatible with HP Proliant Servers 385 G8 and other series ?

There is another alternative for installing proxmox on Proliant-385 servers G8 series 385 series ?.

please I need help with this, thank you.

I do not want to reinstall Vmware again

I think it should be strange if HP will not support kernel 4.4 in the future . This is an LTS kernel and will be used by next ubuntu LTS ...

Maybe can you contact HP support about this ?
 

fireon

Famous Member
Oct 25, 2010
3,822
306
103
39
Austria/Graz
iteas.at
Last edited:

dako

Member
Apr 6, 2016
10
0
21
36
The update has not helped. Proxmox VE 4.1 is not working, I launched Proxmox VE 3.4 and is ok.
 

manu

Proxmox Staff Member
Mar 3, 2015
806
66
28
Hi

I guess the problem steems from HP switch to hpsa instead of cciss after kernel 2.6.32

What is exactly the model of your RAID controller ?
Please check is your controller is included in this list of hpsa supported controillers. ( page ttile is misleading )
http://cciss.sourceforge.net/

As I read from the list 420i should work with hpsa driver.
 

dw2412

Member
Mar 14, 2013
22
0
21
Without big wish to make this issue more wired... I've Proxmox 4.2-5 running on my DL180 G6 with firmware O20 build on 07/01/2013. In case raid controller might be an issue. In system Smart Array P410 with FW 6.64 is used with hpsa module.

Only wired thing I experience with Proxmox 4.x is that LXC Containers sometime loosing their uptime reported inside container and in Proxmox Web GUI. To give you an example - mysql reports it is being running since 20 days, container uptime is being reported to be 1 day.

Best regards,

Andreas
 

danielfm

New Member
Jun 8, 2016
1
0
1
40
I have similar problems but with Ubuntu 16.04 which comes with kernel 4.4.0-21-generic and HP HPSA Driver (v 3.4.14-0).
I think as others is related to some problem with the hpsa driver as well. The only workaround that worked for me is disabling the IOMMU on the BIOS.

Regards,
Daniel
 

p1v12002

Member
Jun 17, 2014
9
1
23
I've just completed the installation of Proxmox VE 4.2 on HP Proliant DL385G8, with dual CPU AMD Opteron 6212, disabling IOMMU: thanks to Daniel for suggestion!!!
To complete the installation it is also necessary to disable the "Minimum Processor Idle Power C1 State" (as attached image) from BIOS.

Regards
Paolo
 

Attachments

  • upload_2016-6-9_12-32-43.png
    upload_2016-6-9_12-32-43.png
    33.2 KB · Views: 116
  • Like
Reactions: Camillo Araújo

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!